> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Update Company Info

> Updates org name, registration country, timezone, contractor estimate and primary stablecoin after a sanctions check.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-update-company-info
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-update-company-info:
    post:
      operationId: selfServeUpdateCompanyInfo
      summary: Self Serve Update Company Info
      description: >-
        Updates org name, registration country, timezone, contractor estimate
        and primary stablecoin after a sanctions check.


        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeUpdateCompanyInfoRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeUpdateCompanyInfoResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeUpdateCompanyInfoRequest:
      type: object
      properties:
        orgName:
          type: string
          minLength: 2
        registrationCountry:
          type: string
          minLength: 2
          maxLength: 2
        timezone:
          type: string
          minLength: 1
        estimatedContractorCount:
          type: integer
          minimum: 1
          maximum: 10000
        primaryStablecoin:
          type: string
          enum:
            - USDC
            - USDT
      required:
        - orgName
        - registrationCountry
        - timezone
        - estimatedContractorCount
        - primaryStablecoin
    SelfServeUpdateCompanyInfoResponse:
      type: object
      properties:
        success:
          type: boolean
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
